function [r_index] = check_valid_resource(resource)
% function [r_index] = check_valid_resource(resource)
% checks whether resource name is valid
%
% Usage:
%     [r_index] = check_valid_resource('CNC-1');
% Uses:
%      search_names()
%
%  Reggie.Davidrajuh@uis.no (c) Version 10.0 (c) 14 June 2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN
r_index = resource;  % resource is an index  

if ischar(r_index)   % resource is a character string name
    r_index = search_names(r_index, PN.system_resources);
    if not(r_index)
        if not(strcmpi('anyresource', resource))
            prnerrormsg([resource, ':  unknown resource']);
        end
    end    
end
