function [enabledTrans] = forced_delay_precheck(tid)
% function [fire] = forced_delay_precheck(transitionID)

global PN


ct = current_time();
% disp(' '); disp(' ');
% disp('Inside function "forced_delay_precheck"  ...');
% disp(['Transition ', tname(tid),...
%          ' is enabled at ', num2str(ct)]);

% transition is NOT forced delayed?
if isnan(PN.Set_of_Forced_Delays(tid).forced_delay)
    enabledTrans = 1; 
    return
end

wait_until = PN.Set_of_Forced_Delays(tid).wait_until;
forced_delay = PN.Set_of_Forced_Delays(tid).forced_delay; 

if isnan(wait_until)  % transition is newly enabled
    if ischar(forced_delay)
        forced_delay = str2num(forced_delay);
        if lt(forced_delay, 0)
            forced_delay = 0;
        end
    end
    PN.Set_of_Forced_Delays(tid).wait_until = ...
               ct + forced_delay ;
    % disp([tname(tid), ' is forced to wait until ', ...
    %            num2str(ct + forced_delay)]);
    enabledTrans = 0;
    return
end
    
% second or further attempts by trans
enabledTrans =  ge(ct, PN.Set_of_Forced_Delays(tid).wait_until);
% if enabledTrans 
%     disp([tname(tid), ' is enabled']);
% else
%     disp([tname(tid), ' is NOT enabled']);
% end