function [px] = get_place(p_index)
% [px] = get_place('place_name')
%       "get a local copy of the place with all its details"
%
% Purpose:
% This function extracts a place from PN structure.
%
% Sample Use: 
% E.g. p1 = place('buffer_1'); % place name = 'buffer_1'
%      p1 = place(12); % 12 is the place's index
%
% Arguments: 
% Inputs: place_name (string) or place index (number) 
% Output: place (structure) with all its details
% 
% Functions called : check_valid_place
%
% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN

if ischar (p_index) % input is an index, not name
    p_index = check_valid_place(p_index);
end

if (p_index)
    px = PN.global_places(p_index);
else
    px = [];
end
