function [prio_value] = get_priority(trans_name)
% function [prio_value] = get_priority(trans_name)
%  
%
% Purpose:
% This function returns the priority of a transition.
%
% Define variables: 
% E.g. prior1 = get_priority('buffer_1'); % transition is named 't1'
%      prior2 = get_priority(10); % index of transition t2 is 10  
%
%
% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN

tx = is_trans(trans_name);
if ~(tx)
    error([trans_name, ' : wrong transition name']);
end

prio_value = PN.priority_list(tx);

