function [] = prnscc(SCC, V)
% function [] = prnscc(SCC, V)
%  Printout Strongly Connected Components
% Inputs: 
%       SCC:    output of function "stronglyconn" 
%       V:      the digraph (output of function "convert_PN_V")
%
% Reggie.Davidrajuh@uis.no (c) May 08, 2024


% now print all the SCC 
No_of_SCCs = size(SCC, 1);  % each row is an SCC
for i = 1:No_of_SCCs 
    disp(' ');
    disp(['Component No-', int2str(i), ':  ******* ']);
    
    current_SCC = SCC(i, :);

    disp_string = '';
    for j = 1:size(SCC, 2) % scan each column for members
        node = current_SCC(j);
        if node  % this is a member of current SCC
            disp_string = [disp_string, ' - ',...
                V.nodes(j).name];
        end
    end
    disp_string = ['[', disp_string(3:end), ' ]'];
    disp(disp_string);
end