function [] = addSlacks2GlobalInfo(controlledSys)
% function [] = addSlacks2GlobalInfo(controlledSys)
%     add slack variables to global_info 
%   
%  Purpose: add slacks variables to global_info for supervisory control
%
%  Input arguments: controlledSys
%
%  Output argument: (none) 
%       
%  Functions used:  (none)
%
%  Reggie.Davidrajuh@uis.no   (c)  28.Sep.2024

global global_info

% initial tokens in slack (control) places 
muC0 = controlledSys.muC0; 

filename = 'updateGlobalInfo.m';
fid = fopen(filename, 'w');  % open the file with write permission
lineStr = 'function [] = updateGlobalInfo()';
fprintf(fid,'%s\n',lineStr);
lineStr = '% This function updates "global_info" packet' ;  
fprintf(fid,'%s\n',lineStr);
lineStr = '% with slack (control) variables' ;  
fprintf(fid,'%s\n',lineStr);        
lineStr = '% '; fprintf(fid,'%s\n',lineStr);
lineStr = ['% this file ("', filename,...
            '") is automatically generated ']; 
fprintf(fid, '%s\n', lineStr);
lineStr = '%    by the function "addSlacks2GlobalInfo" ';
fprintf(fid, '%s\n\n', lineStr);
lineStr = 'global global_info  % slacks are attached to global_info';
fprintf(fid, '%s\n\n', lineStr);

for Si = 1:size(muC0, 1) 
    iTokens = muC0(Si);
    slacki = ['slack', int2str(Si)];
    global_info = setfield(global_info, slacki, iTokens);

    lineStr = ['global_info.', slacki, ' = ', int2str(iTokens), ';'];
    fprintf(fid, '%s\n', lineStr);
end

fprintf(fid, '\n');
fclose(fid);

