function [] = control2processors(controlledSys)
% function [] = control2processors(controlledSys)
%     code processor files from the control logic
%   
%  Purpose: this function automatically creates specific
%     pre-processors and post-processors by mapping
%     mapping the control logic in the controller, 
%     in three steps.
%     1: update global_info for supervisory control 
%         implementation, using function "updateGlobalInfo"
%     2: create pre-processor files using "writePreProcessors"
%     3: create post-processor files using "writePostProcessors"
%
%  Input arguments: controlledSys (output by 'supervisorSim' 
%                                 or 'supervisorSyn')
%
%  Output argument: (none) 
%       
%  Functions used: updateGlobalInfo, writePreProcessors, 
%                  writePostProcessors 
%
%  Reggie.Davidrajuh@uis.no   (c)  28.Sep.2024


% 1: update global_info for supervisory control implementation
addSlacks2GlobalInfo(controlledSys);

% 2: create pre-processor files based on 
writePreProcessors(controlledSys);

% 3: create post-processor files 
writePostProcessors(controlledSys);
