function [] = updateGlobalInfo(controlledSys)
% function [] = updateGlobalInfo(controlledSys)
%     update global_info for supervisory control implementation
%   
%  Purpose: add slacks to global_info
%
%  Input arguments: controlledSys
%
%  Output argument: (none) 
%       
%  Functions used:  (none)
%
%  Reggie.Davidrajuh@uis.no   (c)  28.Sep.2024

global global_info

% initial tokens in slack (control) places 
muC0 = controlledSys.muC0; 

for Si = 1:size(muC0, 1) 
    iTokens = muC0(Si);
    slacki = ['slack', int2str(Si)];
    global_info = setfield(global_info, slacki, iTokens);
end
