function [arcw] = arcweight(element1, element2)
% [arcw] = arcweight(element1, element2)
%    "weight of an arc from element1 to element2"
%
% Purpose: retruns the arc weight (element1, element2)
%
% Example: 
% E.g., arcW1 = arcweight('t2', 'p1'); 
%       arcW2 = arcweight('p2', 't1'); 
%
% Arguments: 
% Inputs:   
%   element1, element2: name (string) of element (place/trans)
%           
%
% Output: arcweight (positive integer)
% 
% Functions called : check_valid_place, arcweightTP, 
%                    arcweightPT

% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if is_place(element1)
    arcw = arcweight_Place_Trans(element1, element2);
else
    arcw = arcweight_Trans_Place(element1, element2);
end
