function [arcw] = arcweightTP(ti, pi)
% [arcw] = arcweightTP(transI, placeI)
%    "weight of an arc form a transition to a place"
%
% Purpose: retruns the arc weight (transI, placeI)
%
% Example: 
% E.g. arcW = arcweightgTP(1,5); 
%
% Arguments: 
% Inputs:   transI: trans Index,
%           placeI: place Index
%
% Output: arcweight (positive integer)
% 
% Functions called : (none)

% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN 

%%%%% arcweight of placeI -> transI
Ps = PN.No_of_places;
arcw = PN.incidence_matrix(ti, Ps+pi);
