function [arcw] = arcweight_Place_Trans(placeI, transI)
% [arcw] = arcweight_Place_Trans(pi, ti)
%    "weight of an arc form a place to a transition"
%
% Purpose: retruns the arc weight (placeI, transI)
%
% Example: 
% E.g. arcW = arcweightgPT('p1', 't2'); 
%
% Arguments: 
% Inputs: placeI: place name (string),  
%         transI: trans name (string)
%
% Output: arcweight (positive integer)
% 
% Functions called : check_valid_place

% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN 

pi = check_valid_place(placeI);
if not(pi) 
    disp('ERROR: wrong place name'); 
    arcw = 0; 
    return; 
end

ti = check_valid_transition(transI);
if not(ti) 
    disp('ERROR: wrong transition name'); 
    arcw = 0; 
    return; 
end

%%%%% arcweight of placeI -> transI
arcw = PN.incidence_matrix(ti, pi);
