function [arcw] = arcweight_Trans_Place(transI, placeI)
% [arcw] = arcweight_Trans_Place(transI, placeI)
%    "weight of an arc form a transition to a place"
%
% Purpose: retruns the arc weight (transI, placeI)
%
% Example: 
% E.g. arcW = arcweightgTP('t2', 'p1'); 
%
% Arguments: 
% Inputs:   transI: trans name (string),
%           placeI: place name (string)
%
% Output: arcweight (positive integer)
% 
% Functions called : check_valid_place

% Reggie.Davidrajuh@uis.no  (c) 05.may.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN 

ti = check_valid_transition(transI);
if not(ti) 
    disp('ERROR: wrong transition name'); 
    arcw = 0; 
    return; 
end

pi = check_valid_place(placeI);
if not(pi) 
    disp('ERROR: wrong place name'); 
    arcw = 0; 
    return; 
end

%%%%% arcweight of placeI -> transI
Ps = PN.No_of_places;
arcw = PN.incidence_matrix(ti, Ps+pi);
