% generating a random Petri Module
function [] = createPModule_OLD()
% function [] = createPModule_OLD()
% Definition: Petri Module
%      Input Ports (IPs) allow tokens into the module
%      Output Ports (OPs) ejects tokens out of the module
%      Local part of the module is a P/T Petri Net

disp(' ');
disp('** Local part of the module: **');
numberofLPlaces = input('Number of local places: ');
numberofLTrans = input('Number of local transitions: ');
disp(' ');
disp('Number of arcs: input either an element for total_arcs');
disp(' or two-element vector for input & out arcs');
numberofArcs = input('Number of arcs: ');
disp(' ');
maxArcWeight = input('Max arc weight: ');

if eq(size(numberofArcs,2), 1) % only total arcs given 
    nIPArcs = floor(numberofArcs/2);  % half of them input arcs 
    nOPArcs = numberofArcs - nIPArcs; % the rest is output arcs    
elseif eq(size(numberofArcs,2), 2) % input & output arcs given
   nIPArcs = numberofArcs(1);
   nOPArcs = numberofArcs(2);
else
    disp(['number of total arcs must be one element (e.g., [7]) or ',...
        'two elements for input & output arcs (e.g., [3 4])']);
    error('error in input variable "numberofArcs"');
end

disp(['nIPArcs: ', int2str(nIPArcs),...
         '   nOPArcs: ', int2str(nOPArcs)]);

Ai = zeros(numberofLTrans, numberofLPlaces);
Ao = zeros(numberofLTrans, numberofLPlaces);

for i = 1:nIPArcs
    taken = true;
    while taken
        p = ceil(rand * numberofLPlaces); % place: p1 to pN
        t = ceil(rand * numberofLTrans); % trans: t1 to tM
        taken = Ai(t,p);
    end
    Ai(t,p) = ceil(rand * maxArcWeight);
end
Ai
for i = 1:nOPArcs
    taken = true;
    while taken
        p = ceil(rand * numberofLPlaces); % place: p1 to pN
        t = ceil(rand * numberofLTrans); % trans: t1 to tM
        taken = Ao(t,p);
    end    
    Ao(t,p) = ceil(rand * maxArcWeight);
end
Ao

disp(' ');
disp('** Input and Output Ports : **');
nIPs = input('Number of Input Ports: ');
nOPs = input('Number of Input Ports: ');
disp(' ');

Ao = [Ao; zeros(nIPs+nOPs,numberofLPlaces)];
for t = 1:nIPs
   taken = true;
    while taken
        p = ceil(rand * numberofLPlaces); % place: p1 to pN
        taken = Ao(numberofLTrans+t,p);
    end    
    Ao(numberofLTrans+t,p) = ceil(rand * maxArcWeight);    
end
Ao
Ai = [Ai; zeros(nIPs+nOPs,numberofLPlaces)];
for t = nIPs+1:nIPs+nOPs
   taken = true;
    while taken
        p = ceil(rand * numberofLPlaces); % place: p1 to pN
        taken = Ai(numberofLTrans+t,p);
    end    
    Ai(numberofLTrans+t,p) = ceil(rand * maxArcWeight);    
end
Ai
createPDF_for_PModule(Ai, Ao, 'PModule_PDF', 'A random Petri Module',...
                      nIPs,nOPs);


