function [G] = dfs (G, sourceNode)
% function [G] = dfs (G, sourceNodes)
% function depth-first-search
%  G =(A, nodes)
% G.A is the incidence matrix
% G.nodes is the set of nodes
%
%  
%      Reggie Davidrajuh (c) August 2011

number_of_nodes = length(G.nodes);
for i = 1:number_of_nodes
    G.nodes(i).color = 'white';
    G.nodes(i).d = 0;   % discovered time
    G.nodes(i).f = 0;   % finished time
    G.nodes(i).pi = 0;
    G.nodes(i).child = [];
end

G.time = 0; % current time (current step)
G.components = []; % collect all the elements; useful for SCC 

G = dfs_visit(G, sourceNode);
G.completion_time = G.nodes(sourceNode).f;  % must be equal to = (2 * |V|)
