function [] = bfs_print_pi(G, desNode)
% function [] = bfs_print_pi(G, destination)
%     Reggie Davidrajuh (c) August 2011


number_of_nodes = length(G.nodes);

if eq(nargin, 2), % destination given
    des = 0; % destination is yet to be identified
    for i = 1:number_of_nodes,
        if strcmpi(G.nodes(i).name, desNode.name), des = i; end;
    end;
    if not(des), error('unknown destination ', desNode); end;
    
    pi = G.nodes(des).d;
    disp(['Pi of ', G.nodes(des).name, ' is: ', G.nodes(pi).name]);
    
else  % destination not given, print all distances
    disp('Pi of nodes : ');
    for i = 1:number_of_nodes,
        pi = G.nodes(i).pi;
        d = G.nodes(i).d;
        if (pi), 
            disp([G.nodes(i).name, ': ', G.nodes(pi).name]);
        else
            if isinf(d), disp([G.nodes(i).name, ' is inaccessible from source ']);
            else
                disp([G.nodes(i).name, ' is the source ']);
            end;
        end;
    end;
end;
