function [G] = dfs (G, sourceNodes)
% function [G] = dfs (G, sourceNodes)
% function depth-first-search
%  G =(A, nodes)
% G.A is the incidence matrix
% G.nodes is the set of nodes
%
%  
%      Reggie Davidrajuh (c) August 2011

number_of_nodes = length(G.nodes);
for i = 1:number_of_nodes
    G.nodes(i).color = 'white';
    G.nodes(i).d = 0;   % discovered time
    G.nodes(i).f = 0;   % finished time
    G.nodes(i).pi = 0;
end

G.time = 0; % current time (current step)
G.components = []; % collect all the elements; useful for SCC 

No_of_trees = 0; % have not found any tree yet
%[visit_order] = dfs_indentify_source(G, sourceNode);

if eq(nargin, 2)
    visit_order = indentify_source(G, sourceNodes);
else
    visit_order = indentify_source(G, []);
end


for i = 1:number_of_nodes
    %i
    ni = visit_order(i);
    if strcmp(G.nodes(ni).color, 'white')
        No_of_trees = No_of_trees + 1; % starting a new tree
        G = dfs_visit(G, ni, No_of_trees);
        G.completion_time = G.nodes(ni).f;  % must be equal to = (2 * |V|)
        G.No_of_trees = No_of_trees;
    end
end