% depth-first-search demo
% DFS Example 
% Example DFS; Cormen et al (2009), fig.22.4, p.605
%
%   Reggie.Davidrajuh@uis.no  (c) August 2011

clear all; clc;

% set the debug flag to 'ON'
global global_info
global_info.debug_mode = true;  % turn this ON for intermediate results


% 1: create the adjacency-matrix A 
%      u v w x y z
A =   [0 1 0 1 0 0;... %u
       0 0 0 0 1 0;... %v
       0 0 0 0 1 1;... %w
       0 1 0 0 0 0;... %x
       0 0 0 1 0 0;... %y
       0 0 0 0 0 1];   %z

% 2: create the nodes 'q', 'r', , 'z'  
u.name = 'u'; v.name = 'v'; w.name = 'w'; x.name = 'x';   
y.name = 'y'; z.name = 'z';   

% 3: create the graph 
G.nodes = [u v w x y z];
G.A = A;

% 4: call the dfs function
source = [z w u];
Gd = dfs(G, source);
Gd
% 5: print results
dfs_print_trees(Gd);
dfs_print_path(Gd, u, x);
dfs_print_path(Gd, u, w);
dfs_print_path(Gd, w, z);


                