% DFS Example 
% DFS example Cormen et al (2009), ex: 22.3-2, p. 610
%
%   Reggie.Davidrajuh@uis.no  (c) August 2011

% example 22.3-2: depth-first-search demo

clear all; clc;

% set the debug flag to 'ON'
global global_info
global_info.debug_mode = true;  % turn this ON for intermediate result

%1: create the adjacency-matrix V.A 
%     q r s t u v w x y z
A  = [0 0 1 1 0 0 1 0 0 0;... %q
      0 0 0 0 1 0 0 0 1 0;... %r
      0 0 0 0 0 1 0 0 0 0;... %s
      0 0 0 0 0 0 0 1 1 0;... %t
      0 0 0 0 0 0 0 0 1 0;... %u
      0 0 0 0 0 0 1 0 0 0;... %v
      0 0 1 0 0 0 0 0 0 0;... %w
      0 0 0 0 0 0 0 0 0 1;... %x
      1 0 0 0 0 0 0 0 0 0;... %y
      0 0 0 0 0 0 0 1 0 0];   %z

%2: create the nodes 'q', 'r', ..., 'z'  
q.name = 'q';   r.name = 'r';   s.name = 's';   t.name = 't';
u.name = 'u';   v.name = 'v';   w.name = 'w';   
x.name = 'x';   y.name = 'y';   z.name = 'z';   

%3: create the graph
G.A = A;
G.nodes = [q r s t u v w x y z];

disp('DFS example Cormen et al (2009), ex: 22.3-2, p. 610');
disp(' ');

%4: call the dfs function
G = dfs(G, [q r]);

%5: print results
dfs_print_trees(G);
print_pi(G);
print_path(G, q, w);
