function [] = dfs_print_trees(G)
% function [] = dfs_print_trees(G)

No_of_nodes = length(G.nodes); 
No_of_trees = G.No_of_trees;

pis = [G.nodes.pi];
[sorted_pi, indices] = sort(pis);
VNodes = G.nodes(indices);

for treeI = 1:No_of_trees,
    disp(['***  Tree - ', int2str(treeI), '  ***']);
    for j = 1:No_of_nodes,
        v = VNodes(j);
        disp_str = '';
        if eq(v.tree_no, treeI),
            disp_str = [disp_str, v.name, '  is at a distance (d, f): ('];
            disp_str = [disp_str, int2str(v.d), ', ', int2str(v.f), ')'  ];  
            pi = v.pi;
            if pi,
                parent_name = G.nodes(pi).name;
                disp_str = [disp_str, '   parent: ', parent_name];
            else
                disp_str = [disp_str, '   this is the root of this tree'];
            end;
            disp(disp_str);
        end;
    end;
    disp('  '); 
end;
