function [isBIN] = is_binaryPN()
% function [classtype] = is_binaryPN()
%       Is binary Petri Net?
%
% Purpose:
% This function checks whether the Petri net is a binary Petri Net. 
% 
% Uses:
%   pnt = is_binaryPN()   
% 
%
% Used by: ()
%
%       Reggie.Davidrajuh@uis.no (c) February 2022
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN

%Ps = PN.No_of_places;  Ts = PN.No_of_transitions;
A = PN.incidence_matrix;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Flag-1: Binary PN
% In a Binary PN, all the arc weights are delfault '1'
max_arc_weight = max(max(A));
isBIN = eq(max_arc_weight, 1);% set flag for Binary PN
