function [isTimedPN] = is_timedPN()
% function [isTimedPN] = is_timedPN()
%       Is timed Petri Net?
%
% Purpose:
% This function checks whether the Petri net is Timed. 
% 
% Uses:
%   pnt = is_timedPN()   
% 
%
% Used by: ()
%
%       Reggie.Davidrajuh@uis.no (c) February 2022
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global PN

%%%%%%%%%% Flag-4: Timed/untimed Petri net
% Timed petri net: at least one firing time is non-zero
isTimedPN = false;
if isfield(PN, 'Set_of_Firing_Times')
    isTimedPN = any(PN.Set_of_Firing_Times);
end
